Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciFunctionCallExpression

public interface SciFunctionCallExpression
extends SciExpression

`SciFunctionCallExpression` represents a call of a function.

Consider these examples:

     1.                 |------- SciFunctionCallExpression -------|
                        |                                         |
                        someObject.someMethod(String str1, int i);
        |---------------|                    ||                 |---------------------|
        |                                    ||                                       |
        |  SciMemberAccessExpression         ||  SciExpressionList                    |
        |--returned by getFunction() method--||--returned by getParameterList method--|

     2.                 |-- SciFunctionCallExpression --|
                        |                               |
                        someMethod(String str1, int i);
        |---------------|         ||                 |---------------------------------|
        |                         ||-----------|                                       |
        |                         |            |                                       |
        |  SciReferenceExpression |----------| |  SciExpressionList                    |
        |--returned by getFunction() method--| |--returned by getParameterList method--|

`getFunction` method returns `SciExpression` for the function expression.

`getParameterList` method returns `SciExpressionList` object from which it is possible to extract information about each parameter expression.

Author:
  TogetherSoft
See Also: SciMemberAccessExpression, SciReferenceExpression

Method Summary
`SciExpression` | `getFunction()` Returns `SciExpression` for the function expression.
`SciExpressionList` | `getParameterList()`

Methods inherited from interface com.togethersoft.openapi.sci.SciExpression
`accept, getKind, getParent, getType, operands, visitReferences, visitReferences`

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Method Detail

### getFunction

    public SciExpression getFunction()

  Returns `SciExpression` for the function expression. See example in the description of this interface.
  Returns: `SciExpression` for the function expression.
  See Also:
    SciMemberAccessExpression

### getParameterList

    public SciExpressionList getParameterList()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD